﻿Imports System.ComponentModel
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace RadPivotGrid_SL_765442
	Public Class Order
		Implements INotifyPropertyChanged

'INSTANT VB NOTE: The variable date was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private date_Renamed As Date
'INSTANT VB NOTE: The variable product was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private product_Renamed As String
'INSTANT VB NOTE: The variable quantity was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private quantity_Renamed As Integer
'INSTANT VB NOTE: The variable net was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private net_Renamed As Double
'INSTANT VB NOTE: The variable promotion was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private promotion_Renamed As String
'INSTANT VB NOTE: The variable advertisement was renamed since Visual Basic does not allow variables and other class members to have the same name:
		Private advertisement_Renamed As String

		Public Property [Date]() As Date
			Get
				Return Me.date_Renamed
			End Get
			Set(ByVal value As Date)
				If Me.date_Renamed <> value Then
					Me.date_Renamed = value
					OnPropertyChanged("Date")
				End If
			End Set
		End Property

		Public Property Product() As String
			Get
				Return Me.product_Renamed
			End Get
			Set(ByVal value As String)
				If Me.product_Renamed <> value Then
					Me.product_Renamed = value
					OnPropertyChanged("Product")
				End If
			End Set
		End Property

		Public Property Quantity() As Integer
			Get
				Return Me.quantity_Renamed
			End Get
			Set(ByVal value As Integer)
				If Me.quantity_Renamed <> value Then
					Me.quantity_Renamed = value
					OnPropertyChanged("Quantity")
				End If
			End Set
		End Property

		Public Property Net() As Double
			Get
				Return Me.net_Renamed
			End Get
			Set(ByVal value As Double)
				If Me.net_Renamed <> value Then
					Me.net_Renamed = value
					OnPropertyChanged("Net")
				End If
			End Set
		End Property

		Public Property Promotion() As String
			Get
				Return Me.promotion_Renamed
			End Get
			Set(ByVal value As String)
				If Me.promotion_Renamed <> value Then
					Me.promotion_Renamed = value
					OnPropertyChanged("Promotion")
				End If
			End Set
		End Property

		Public Property Advertisement() As String
			Get
				Return Me.advertisement_Renamed
			End Get
			Set(ByVal value As String)
				If Me.advertisement_Renamed <> value Then
					Me.advertisement_Renamed = value
					OnPropertyChanged("Advertisement")
				End If
			End Set
		End Property

		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

		Protected Sub OnPropertyChanged(ByVal name As String)
			Dim handler As PropertyChangedEventHandler = PropertyChangedEvent

			If handler IsNot Nothing Then
				handler(Me, New PropertyChangedEventArgs(name))
			End If
		End Sub

	End Class
End Namespace
